Bug 165332 - Package selector does not list all packages on CD
Package selector does not list all packages on CD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
: FutureFeature
: 193394 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-07 22:52 EDT by oi1uohoriugah8oa
Modified: 2013-01-09 20:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-22 22:51:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
comps.xml that makes all rpms on distro available (717.43 KB, text/xml)
2006-07-01 14:25 EDT, Mr. Mizzen
no flags Details
script to check pagackages (18.97 KB, application/octet-stream)
2006-07-01 14:27 EDT, Mr. Mizzen
no flags Details

  None (edit)
Description oi1uohoriugah8oa 2005-08-07 22:52:33 EDT
Description of problem:

In the package selection screen, the check-box for "everything" notes that it
includes some packages that are not available in any other category.

This can be verified by selecting all the other check-boxes: with all
check-boxes selected, it needs 4.548Gb to install, clicking "everything" needs
6.898Gb to install-- a difference of 2.35Gb, which is over 30% of the total.

This does not make any sense to me-- it's just a database of package names with
1-line descriptions, so I don't see why all the packages on the CD can't be
listed somewhere in the package selector.

Possible solution: create a "miscellaneous" category.
Alternative solution: remove these packages from the base CD set, and move them
to "extras". The space could be used for packages that are considered to be
important enough to list in the package selector.

This is related to bug # 160938, but that one is talking about listing packages
from "extras" that are not on the CDs. I'm talking about packages that ARE on
the CDs, but not listed in the package selector.
Comment 1 Jesse Keating 2006-04-19 15:51:04 EDT
Is this still an issue w/ FC5? Or Rawhide?
Comment 2 oi1uohoriugah8oa 2006-04-30 21:33:30 EDT
The FC5 installer doesn't have the "install everything" checkbox, and only
displays the "optional" packages within each group, so I assume that means it's
also installing "non-optional" packages that aren't listed. I guess this is OK
if you're not interested in knowing exactly what is or is not being installed.

I'm not sure why it no longer keeps a running total of the amount of disk space
required to install the selected packages-- don't people want to know if the
selected partition will be big enough before they start the installation process?

I don't really have enough information to know whether it's possible to select
all of the packages on the CD or not. I don't know who decides what goes on the
CD and what goes into the package selector. If nobody else wants to comment,
then there isn't much left to discuss.
Comment 3 Jesse Keating 2006-06-22 15:43:01 EDT
*** Bug 193394 has been marked as a duplicate of this bug. ***
Comment 4 Mr. Mizzen 2006-07-01 14:25:16 EDT
Created attachment 131840 [details]
comps.xml that makes all rpms on distro available
Comment 5 Mr. Mizzen 2006-07-01 14:27:59 EDT
Created attachment 131841 [details]
script to check pagackages
Comment 6 Mr. Mizzen 2006-07-01 14:30:36 EDT
Ref Bug 193394 and 165332 and 160938

Comps.xml corrections and additions:

The file comps-all.xml is named that for two reasons.
1) This file now lists all available rpms as selectable items at install.
2) This file has every install option set as "default".

Changes within the file are documented as such:

Some groupid fields were simply never turned on, like xen.
They are commented as:
    <default>true</default><!-- was false -->
    <uservisible>true</uservisible><!-- was false -->
However, this is also the replace string used for all the languages. Use caution
changing these.


Where an original item was optional, the edit shows as:
      <packagereq type="default"><!-- was optional -->up2date-gnome</packagereq>
Find and replace can easily convert them back.

Items that were formerly missing from the file are formatted as:
      <packagereq type="default"><!-- * -->gd-progs</packagereq><!-- Missing pkg
added -->


Various new groups were also added and they are in the groups section as:
    <groupid>Development-Languages</groupid><!-- new -->
    <groupid>Development-Documentation</groupid><!-- new -->


Each rpm added was viewed with rpm -q -i.
Attached is the script, infocheck.sh to give a listing of every added files
description.

Example output of amtu:
Name        : amtu                         Relocations: (not relocatable)
Version     : 1.0.4                             Vendor: Red Hat, Inc.
Release     : 2.2                           Build Date: Sat 11 Feb 2006 03:40:54
AM CET
Install Date: Sat 01 Jul 2006 03:11:27 PM CEST      Build Host:
hs20-bc1-6.build.redhat.com
Group       : System Environment/Base       Source RPM: amtu-1.0.4-2.2.src.rpm

Shows this belongs to the group "System Environment / Base".
There was no group ID as such, so I added group IDs like these where needed.
All those additions are at the top of the file and clearly marked as:
<!-- New group additon #################################### -->
A few files reported a groups association that appeared grossly out of place. 
On those few, I placed them where I thought best.



All the data needed to make a production version of comps.xml is contained in
comps-all.xml.
If requested, I can make a production version available.
However, someone with more detailed knowledge of the packages should review this
file first.


Comment 7 Dennis Gregorovic 2006-12-22 12:45:35 EST
took this by accident
Comment 8 Christian Iseli 2007-01-19 19:23:16 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 9 Jesse Keating 2007-02-22 22:51:31 EST
Closing.  Comps isn't the place to list every package.

Note You need to log in before you can comment on or make changes to this bug.